<template>
  <div class="box--1">
    <div class="stage">
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[0]">
              {{data[0].synopsis}}
            </p>
          </div>
        </div>
      </div>

      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[1]">
              {{data[1].synopsis}}
            </p>
          </div>
        </div>
      </div>

      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[2]">
              {{data[2].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[3]">
              {{data[3].synopsis}}
            </p>
          </div>
        </div>
      </div>

      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[4]">
              {{data[4].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[5]">
              {{data[5].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[6]">
              {{data[6].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[7]">
              {{data[7].synopsis}}
            </p>
          </div>
        </div>
      </div>

      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[8]">
              {{data[8].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[9]">
              {{data[9].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[10]">
              {{data[10].synopsis}}
            </p>
          </div>
        </div>
      </div>
      <div class="scene">
        <div class="movie">
          <div class="poster"></div>
          <div class="info">
            <header></header>
            <p v-if="data[11]">
              {{data[11].synopsis}}
            </p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "filmo",
  metaInfo: {
      title: 'Filmographie Leonard Nimoy',
      htmlAttrs: {
        lang: 'fr',
        amp: true
      }
    },
  data() {
    return {
      data: {}
    }
  },
  beforeMount(){
    this.getFilmo();
  },
  methods: {
    async getFilmo(){
      const res = await fetch('http://127.0.0.1:8000/api/filmo');
      const data = await res.json();
      this.data = data;
      console.log (this.data)
    }
  }

};
</script>

<style>

.stage {
  width:100%;
  display: flex;
  flex-wrap: wrap;
  float: none;
}

/* Build the scene and rotate on hover */

.scene {
  width: 252px;
  height: 380px;
  margin: 38px;
  float: right;
  -webkit-perspective: 1000px;
  -moz-perspective: 1000px;
  perspective: 1000px;
}
.movie {
  width: 260px;
  height: 400px;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-transform: translateZ(-130px);
  -moz-transform: translateZ(-130px);
  transform: translateZ(-130px);
  -webkit-transition: -webkit-transform 350ms;
  -moz-transition: -moz-transform 350ms;
  transition: transform 350ms;
}
.movie:hover {
  -webkit-transform: rotateY(-78deg) translateZ(20px);
  -moz-transform: rotateY(-78deg) translateZ(20px);
  transform: rotateY(-78deg) translateZ(20px);
}

/* Transform and style the two planes */

.movie .poster,
.movie .info {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 260px;
  height: 400px;
  background-color: #26272b;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  backface-visibility: hidden;
}
.movie .poster {
  -webkit-transform: translateZ(130px);
  -moz-transform: translateZ(130px);
  transform: translateZ(130px);
  background-size: cover;
  background-repeat: no-repeat;
}
.movie .info {
  -webkit-transform: rotateY(90deg) translateZ(130px);
  -moz-transform: rotateY(90deg) translateZ(130px);
  transform: rotateY(90deg) translateZ(130px);
  font-size: 1em;
}

/* Shadow beneath the 3D object */

.csstransforms3d .movie::after {
  content: "";
  width: 260px;
  height: 260px;
  position: absolute;
  bottom: 0;
  box-shadow: 0 30px 50px rgba(0, 0, 0, 0.3);
  -webkit-transform-origin: 100% 100%;
  -moz-transform-origin: 100% 100%;
  transform-origin: 100% 100%;
  -webkit-transform: rotateX(90deg) translateY(130px);
  -moz-transform: rotateX(90deg) translateY(130px);
  transform: rotateX(90deg) translateY(130px);
  -webkit-transition: box-shadow 350ms;
  -moz-transition: box-shadow 350ms;
  transition: box-shadow 350ms;
}
.csstransforms3d .movie:hover::after {
  box-shadow: 20px -5px 50px rgba(0, 0, 0, 0.3);
}

/* Movie information */

.info header {
  margin: 0;
  margin-bottom: -20px;
  height: 200px;
  background-size: contain;
  background-repeat: no-repeat;
}

.info p {
  text-align: center;
  margin: 0;
  padding: 0.3em;
  color: #fff;
  font: 400 1em/1.5 "Lora", serif;
}

/* Generate "lighting" using box shadows */

.movie .poster,
.movie .info,
.movie .info header {
  -webkit-transition: box-shadow 350ms;
  -moz-transition: box-shadow 350ms;
  transition: box-shadow 350ms;
}
.csstransforms3d .movie .poster {
  box-shadow: inset 0px 0px 40px rgba(255, 255, 255, 0);
  background-size: cover;
  background-position: top;
}
.csstransforms3d .movie:hover .poster {
  box-shadow: inset 300px 0px 40px rgba(255, 255, 255, 0.8);
}

.csstransforms3d .movie .info,
.csstransforms3d .movie .info header {
  box-shadow: inset -300px 0px 40px rgba(0, 0, 0, 0.5);
}
.csstransforms3d .movie:hover .info,
.csstransforms3d .movie:hover .info header {
  box-shadow: inset 0px 0px 40px rgba(0, 0, 0, 0);
}

/* Posters and still images */

.scene:nth-child(1) .movie .poster {
  background-image: url("../assets/poster-1.jpg");
}
.scene:nth-child(2) .poster {
  background-image: url("../assets/poster-2.jpg");
}
.scene:nth-child(3) .poster {
  background-image: url("../assets/poster-3.jpg");
}
.scene:nth-child(4) .poster {
  background-image: url("../assets/poster-4.jpg");
}
.scene:nth-child(5) .poster {
  background-image: url("../assets/poster-5.jpg");
}
.scene:nth-child(6) .poster {
  background-image: url("../assets/poster-6.jpg");
}
.scene:nth-child(7) .poster {
  background-image: url("../assets/poster-7.jpg");
}
.scene:nth-child(8) .poster {
  background-image: url("../assets/poster-8.jpg");
}
.scene:nth-child(9) .poster {
  background-image: url("../assets/poster-9.jpg");
}
.scene:nth-child(10) .poster {
  background-image: url("../assets/poster-10.jpg");
}
.scene:nth-child(11) .poster {
  background-image: url("../assets/poster-11.jpg");
}
.scene:nth-child(12) .poster {
  background-image: url("../assets/poster-12.jpg");
}
.scene:nth-child(1) .info header {
  background-image: url("../assets/Star-Trek-1.jpg");
}
.scene:nth-child(2) .info header {
  background-image: url("../assets/Star-Trek-2.jpg");
}
.scene:nth-child(3) .info header {
  background-image: url("../assets/Star-Trek-3.jpg");
}
.scene:nth-child(4) .info header {
  background-image: url("../assets/Star-Trek-4.jpg");
}
.scene:nth-child(5) .info header {
  background-image: url("../assets/Star-Trek-5.jpg");
}
.scene:nth-child(6) .info header {
  background-image: url("../assets/Star-Trek-6.jpg");
}
.scene:nth-child(7) .info header {
  background-image: url("../assets/Star-Trek-7.jpg");
}
.scene:nth-child(8) .info header {
  background-image: url("../assets/Star-Trek-8.jpg");
}
.scene:nth-child(9) .info header {
  background-image: url("../assets/Star-Trek-9.jpg");
}
.scene:nth-child(10) .info header {
  background-image: url("../assets/Star-Trek-10.jpg");
}
.scene:nth-child(11) .info header {
  background-image: url("../assets/Star-Trek-11.jpg");
}
.scene:nth-child(12) .info header {
  background-image: url("../assets/Star-Trek-12.jpg");
}
/* Fallback */
.no-csstransforms3d .movie .poster,
.no-csstransforms3d .movie .info {
  position: relative;
}
/* Media Queries */
@media screen and (max-width: 60.75em) {
  .box--1 {
    margin: 0;
  }

  .stage {
    display: grid;
    text-align: center;
    margin: 0;
  }
  .scene {
    margin: 46px;
    padding-left:22px;
  }
}
@media all and (max-width: 1323px) {
   .box--1 {
    margin: 0;
  }

  .stage {
    display: flex;
    text-align: center;
    margin: 0;
  }
  .scene {
    margin: 20px;
    padding-left:22px;
  } 
}
@media all and (max-width: 1237px) 
{
  .scene {
    margin: 50px;
    padding-left:30px;
  }
   
}

</style>
